Priority: Normal % Done: 100%

Assignee:    

Category:    

Description

I've been looking at summary statistics for fimnlabgrs_dv and have noticed that individuals with no top-coding (fimnlabgrs_tc) can

have higher incomes than those with top-coding. How is this the case? Is fimnlabgrs_dv split into components which are top-coded

separately before being aggregated?

History

#1 - 01/18/2021 08:56 AM - Alita Nandi

- Status changed from New to In Progress

- Assignee set to Leilah Plant-Tchenguiz

- % Done changed from 0 to 50

Hello,

Could please you add which wave you are looking at? I did not find this issue when I looked at Wave 1 data.

The mean a_fimnlabgrs_dv for those whose incomes were topcoded (a_fimnlabgrs_tc=1) was higher than those whose incomes were not topcoded

(a_fimnlabgrs_tc=0)

use pidp fimnlabgrs using a_indresp", clear

mvdecode _all, mv(-9/-1)

tabstat a_fimnlabgrs_dv, by(a_fimnlabgrs_tc)

Best wishes,

Understanding Society User Support Team

#2 - 01/18/2021 08:56 AM - Alita Nandi

- Private changed from Yes to No

#3 - 01/18/2021 09:02 AM - Alita Nandi

- Assignee changed from Leilah Plant-Tchenguiz to Alita Nandi

#4 - 01/18/2021 09:03 AM - Alita Nandi

- Status changed from In Progress to Feedback

#5 - 01/18/2021 09:41 AM - Leilah Plant-Tchenguiz

I used the following Stata code to summarise by wave and topcoding:  bysort wave fimnlabgrs_tc: su fimnlabgrs_dv

I then saw that for wave 1, the maximum labour income (fimnlabgrs_dv) of the non-top-coded (fimnlabgrs_tc=0)  was higher than the minimum of the

top-coded (fimnlabgrs_tc=1).

#6 - 01/20/2021 03:46 PM - Alita Nandi

I have asked the income team to get back to me about this, and will let you know when I have a response from them.

#7 - 01/20/2021 04:54 PM - Leilah Plant-Tchenguiz

Thank you

#8 - 01/21/2021 01:37 PM - Alita Nandi

- % Done changed from 50 to 80

Our income team has pointed out that the fimnlabgrs is a variable which is the sum of variables, and it is these components that are topcoded. So you

can get the pattern you find if someone reports several income sources which are high but not all are topcoded. The topcoded flag is 1 if at least one
component is top-coded.

For example, the rule is to topcode all income components at 100 and person a and person b report:

Person a: income component1 = £102

Person b: income component1 = £99 and income component2 = £50

Person a gets topcoded on their single reported income source and has total income £100 & top-coded flag=1

Person b doesnt get topcoded on either source and has total income £149 & top-coded flag=0

Hope this helps.

I think the main thing to say is they are working with a variable which is the sum of variables that are topcoded. So you can get the pattern they

observe if someone reports several income sources which are high but not all topcoded.

Consider we topcode all income sources at 100 and person a and person b report the below:

Person a: 102

Person b: 99 and 50

Person a gets topcoded on their single reported income source and has total income 100

Person b doesnt get topcoded on either source and has total income 149

#9 - 01/21/2021 01:42 PM - Alita Nandi

- Assignee changed from Alita Nandi to Leilah Plant-Tchenguiz

#10 - 01/24/2021 06:32 PM - Leilah Plant-Tchenguiz

Thanks.

#11 - 01/26/2021 02:39 PM - Alita Nandi

- Assignee changed from Leilah Plant-Tchenguiz to Alita Nandi

#12 - 08/05/2021 02:06 PM - Understanding Society  User Support Team

- Status changed from Feedback to Resolved

- Assignee deleted (Alita Nandi)

- % Done changed from 80 to 100
